{% extends "base.html" %}
{% block content %}
<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script> 
        <link rel = "stylesheet" href = "{{ url_for('static', filename = 'register.css') }}">
    </head>

    <body>
    <div class="signup-form">
        <form action="" method="post">
            {{ form.hidden_tag() }}
    		<h2>Register</h2> <p>
            <p class="hint-text">Create your account. It's free and only takes a minute.</p>

            <div class="form-group">
                {{ form.username(size=32, class="form-control", placeholder="Username") }}
                {% for error in form.username.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
            <div class="form-group">
                {{ form.email(size=64, class="form-control", placeholder="Email") }}
                {% for error in form.email.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
    		<div class="form-group">
                {{ form.password(size=32, class="form-control", placeholder="Password") }}
                {% for error in form.password.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
    		<div class="form-group">
                {{ form.password2(size=32, class="form-control", placeholder="Confirm Password") }}
                {% for error in form.password2.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
    		<div class="form-group">
                    {{ form.submit(class="btn btn-danger btn-lg btn-block") }}
            </div>
        </form>
    	<div class="text-center">Already have an account? <a href="{{url_for('login')}}">Sign in</a></div>
    </div>
    </body>
    {% endblock %}
    </html>
